﻿namespace Brizco.Domain.Dtos.LargDtos;

public class ShiftLDto : BaseDto<ShiftLDto,Shift>
{
    public string Title { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public TimeSpan StartAt { get; set; }
    public TimeSpan EndAt { get; set; }
    public Guid ComplexId { get; set; }
    public List<DayOfWeek> Days { get; set; } = new();
    public List<ShiftRoutineSDto> Routines { get; set; } = new();
}