﻿using Brizco.Domain.Entities.Complex;

namespace Brizco.Domain.Dtos.SmallDtos;

public class ComplexUserSDto : BaseDto<ComplexUserSDto,ComplexUser>
{
    public string FirstName { get; set; } = string.Empty;
    public string LastName { get; set; } = string.Empty;
    public string NationalId { get; set; } = string.Empty;
    public string ComplexName { get; set; } = string.Empty;
    public List<string> RoleNames { get; set; } = new();
    public Guid UserId { get; set; }
    public Guid ComplexId { get; set; }
}