﻿using Brizco.Domain.Entities.Shift;

namespace Brizco.Domain.Dtos.SmallDtos;
public class ShiftSDto : BaseDto<ShiftSDto,Shift>
{
    public string Title { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public TimeSpan StartAt { get; set; }
    public TimeSpan EndAt { get; set; }
    public Guid ComplexId { get; set; }
    public List<DayOfWeek> Days { get; set; } = new();
}
