﻿namespace Brizco.Domain.Dtos.SmallDtos;

public class TaskSDto : BaseDto<TaskSDto,Entities.Task.Task>
{
    public TaskType Type { get; set; }
    public string Title { get; set; } = string.Empty;
    public string Description { get; set; } = string.Empty;
    public bool IsDisposable { get; set; }
    public long SetFor { get; set; }
    public bool HasDisposed { get; set; }
    public Guid ComplexId { get; set; }
    public TaskScheduleType ScheduleType { get; set; }

    public List<string> Shifts { get; set; } = new();
    public List<string> Routines { get; set; } = new();
    public List<string> Positions { get; set; } = new();

    public int Amount { get; set; }
    public PurchaseAmountType AmountType { get; set; }
}