﻿namespace Brizco.Domain.Entities.Shift;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public class ShiftRoutine : ApiEntity
{
    public ShiftRoutine()
    {
        
    }
    public ShiftRoutine(Guid routineId,  Guid shiftId)
    {
        RoutineId = routineId;
        ShiftId = shiftId;
    }
    public Guid RoutineId { get; internal set; }
    public Routine.Routine? Routine { get; internal set; }

    public Guid ShiftId { get; internal set; }
    public Shift? Shift { get; internal set; }
}