﻿using Brizco.Domain.Entities.Complex;

namespace Brizco.Domain.Entities.Task;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public class TaskPosition : ApiEntity
{
    public TaskPosition()
    {
        
    }

    public TaskPosition(Guid positionId, Guid taskId)
    {
        PositionId = positionId;
        TaskId = taskId;
    }
    public Guid PositionId { get; internal set; }
    public virtual Position? Position { get; internal set; }
    public Guid TaskId { get; internal set; }
    public virtual Task? Task { get; internal set; }

}