﻿using Brizco.Domain.Entities.Task;

namespace Brizco.Domain.Dtos.LargDtos;

public class ActivityLDto : BaseDto<ActivityLDto , Activity>
{
    public TaskType Type { get;  set; }
    public string Title { get;  set; } = string.Empty;
    public string Description { get;  set; } = string.Empty;
    public bool IsDisposable { get;  set; }
    public DateTime SetFor { get;  set; }
    public bool HasDisposed { get;  set; }
    public ActivityStatus Status { get;  set; }
    public DateTime DoneAt { get;  set; }
    public bool IsDone { get; set; }
    public string PerformanceDescription { get;  set; } = string.Empty;


    public int Amount { get;  set; }
    public PurchaseAmountType AmountType { get;  set; }
}