﻿using Brizco.Domain.Entities.Task;

namespace Brizco.Domain.Dtos.SmallDtos;

public class ActivitySDto : BaseDto<ActivitySDto , Activity>
{
    public TaskType Type { get; internal set; }
    public string Title { get; internal set; } = string.Empty;
    public string Description { get; internal set; } = string.Empty;
    public bool IsDisposable { get; internal set; }
    public DateTime SetFor { get; internal set; }
    public bool HasDisposed { get; internal set; }
    public ActivityStatus Status { get; internal set; }
    public DateTime DoneAt { get; internal set; }
    public bool IsDone { get; set; }
    public string PerformanceDescription { get; internal set; } = string.Empty;


    public int Amount { get; internal set; }
    public PurchaseAmountType AmountType { get; internal set; }
}