﻿using Brizco.Domain.Entities.User;

namespace Brizco.Domain.Dtos.SmallDtos;

public class ApplicationUserSDto : BaseDto<ApplicationUserSDto,ApplicationUser>
{
    public string PhoneNumber { get; set; } = string.Empty;
    public string FirstName { get; set; } = string.Empty;
    public string LastName { get; set; } = string.Empty;
    public DateTime BirthDate { get; set; }
    public Gender Gender { get; set; }
    public SignUpStatus SignUpStatus { get; set; }
    public string SelectedRoleName { get; set; } = string.Empty;
    public string SelectedComplexName { get; set; } = string.Empty;
    public string NationalId { get; set; } = string.Empty;

    public List<Guid> RoleIds { get; set; } = new();
    public Guid PositionId { get; set; }
    public long BirthDateTimeStamp => DateTimeExtensions.DateTimeToUnixTimeStamp(BirthDate);
}