﻿using Brizco.Domain.Entities.User;

namespace Brizco.Domain.Entities.Complex;
[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public class ComplexUserRole : ApiEntity
{
    public ComplexUserRole()
    {
        
    }
    public ComplexUserRole(Guid complexUserId,  Guid roleId)
    {
        ComplexUserId = complexUserId;
        RoleId = roleId;
    }
    public Guid ComplexUserId { get; internal set; }
    public ComplexUser? ComplexUser { get; internal set; }

    public Guid RoleId { get; internal set; }
    public ApplicationRole? Role { get; internal set; }
}