﻿using Brizco.Domain.Entities.User;

namespace Brizco.Domain.Entities.Shift;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public class ShiftPlanUser : ApiEntity
{
    public ShiftPlanUser()
    {
        
    }

    public ShiftPlanUser(Guid shiftPlanId,Guid positionId,  Guid userId)
    {
        ShiftPlanId = shiftPlanId;
        PositionId = positionId;
        UserId = userId;
    }
    public Guid ShiftPlanId { get; internal set; }
    public ShiftPlan? ShiftPlan { get; internal set; }

    public Guid PositionId { get; internal set; }
    public Position? Position { get; internal set; }

    public Guid UserId { get; internal set; }
    public ApplicationUser? User { get; internal set; }
}