﻿namespace Brizco.Domain.Entities.Task;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[GenerateMapper]
public class TaskRoutine : ApiEntity
{

    public TaskRoutine()
    {

    }

    internal TaskRoutine(Guid routineId,Guid taskId)
    {
        RoutineId = routineId;
        TaskId = taskId;
    }

    public Guid TaskId { get; internal set; }
    public Task? Task { get; internal set; }

    public Guid RoutineId { get; internal set; }
    public Routine.Routine? Routine { get; internal set; }
}