﻿using Brizco.Common.Models;
using Task = System.Threading.Tasks.Task;

namespace Brizco.Repository.Services.Contracts;

public interface IDbInitializerService : IScopedDependency
{
    void Initialize();
    Task SeedDate(bool force = false);
    Task SeedRoles();
}